on startMovie
  openXLib(the pathName & "xtras:FileIOXtraFat")
  set gOSDir to getOSDirectory()
  put gOSDir & "Preferences:" into field "OSPath"
  put gOSDir & "Preferences:Browser.txt" into field "ThePath"
  loadBrowser()
end

on loadBrowser
  global myfile
  set myfile to new(xtra("fileio"))
  set finalPath to field "OSPath"
  openFile(myfile, finalPath & "Browser.txt", 1)
  set theBrowser to readLine(myfile)
  put theBrowser into field "browser"
  closeFile(myfile)
  set myfile to 0
  enableBrowser()
end

on enableBrowser
  browserName(the text of field "browser")
  browserName(#enabled, 1)
end

on yellatMe
  makeYESNOAlert(EMPTY, "You have not specified a browser yet.  Would you like to do so now?", "doTrueThingy", "doFalseThingy")
end

on makeYESNOAlert AlertTitle, theMessage, whatIfTrue, whatIfFalse
  set alertObj to new(xtra("MUI"))
  set alertInitList to [#buttons: #YesNo, #title: AlertTitle, #icon: #caution, #message: theMessage, #movable: 1]
  if objectp(alertObj) then
    set result to alert(alertObj, alertInitList)
    case result of
      1:
        do(whatIfTrue)
      2:
        do(whatIfFalse)
      otherwise:
        alert("fatal error")
    end case
  end if
end

on doTrueThingy
end

on doFalseThingy
  alert("You will not be able to launch any websites from the interface until you select a browser.")
end

on openIndex
  set the fileName of window "Index" to "index.dir"
  set the title of window "Index" to "Index"
  set the windowType of window "Index" to 49
  open(window "Index")
end

on closeIndex
  close(window "index")
  forget(window "index")
end

on openconfigwindow
  set the fileName of window "Config" to "config.dir"
  set the title of window "Config" to "Configuration Options"
  set the windowType of window "Config" to 49
  open(window "Config")
end

on closeConfigWindow
  close(window "Config")
  forget(window "Config")
end
